if command -v gettext > /dev/null; then
    _gettext() { gettext -- "$@"; }
else
    _gettext() { printf -- "%s" "$@"; }
fi

prompt() {
    local var="$1"
    local prompt_fmt="$2"
    shift 2
    # shellcheck disable=SC2059 # fmt is a build time constant
    printf -- "$(_gettext "$prompt_fmt") " "$@"
    read -r "${var?}"
}

prompt_yesno() {
    local default="$1"
    shift 1
    local yesno

    while true; do
        prompt yesno "$@"
        [ -n "$yesno" ] || yesno="$default"
        case "$yesno" in
        [Yy]|[Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|1)
            return 0;;
        [Nn]|[Nn][Oo]|[Ff][Aa][Ll][Ss][Ee]|0)
            return 1;;
        esac
    done
}

copy_run() {
    [ "$#" -lt 2 ] && return
    source=$1
    dest=$2
    shift 2
    tar -C "$source" -cz . \
        | ssh -F config/ssh_config Armadillo \
            'd='"${dest@Q}"'; rm -rf "$d" && mkdir -p "$d" && tar -C "$d" -xz'

    [ "$#" = 0 ] && return
    ssh -F config/ssh_config Armadillo "$@"
}
